Bug 1812599 - ip=dhcp,dhcp6 kernel command line doesn't work for ipv4 deployments
Summary: ip=dhcp,dhcp6 kernel command line doesn't work for ipv4 deployments
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RHCOS
Version: 4.3.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.3.z
Assignee: Micah Abbott
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On: 1803926 1807395
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-11 16:26 UTC by Micah Abbott
Modified: 2020-03-24 14:35 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1803926
Environment:
Last Closed: 2020-03-24 14:35:06 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2020:0858 None None None 2020-03-24 14:35:16 UTC

Comment 1 Micah Abbott 2020-03-11 16:28:16 UTC
Cloned this for 4.3 so we can hang an installer PR on it.

Comment 4 Michael Nguyen 2020-03-16 18:45:06 UTC
Verified on  RHCOS 43.81.202003132158.0 which part of OCP nightly 4.3.0-0.nightly-2020-03-16-122044

$ ocii registry.svc.ci.openshift.org/ocp/release:4.3.0-0.nightly-2020-03-16-122044
Name:       quay.io/openshift-release-dev/ocp-v4.0-art-dev@sha256:d7a9c51d108097a6b41bff02f3ce9d770862c65e1cc75c8f3de2ad057c7e7566
Media Type: application/vnd.docker.distribution.manifest.v2+json
Created:    2d ago
Image Size: 709.1MB
OS:         linux
Arch:       amd64
Entrypoint: /noentry
Labels:     com.coreos.ostree-commit=eb3c7cc1725ad584046bfe571820d5be575b9f15e7141d4e72ea91b43381fef5
            io.buildah.version=1.14.0
            version=43.81.202003132158.0



==initramfs==
switch_root:/# ip addr
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: enp1s0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc fq_codel state UP group default qlen 1000
    link/ether 52:54:00:41:a3:9b brd ff:ff:ff:ff:ff:ff
    inet 192.168.122.38/24 brd 192.168.122.255 scope global dynamic enp1s0
       valid_lft 3461sec preferred_lft 3461sec
    inet6 fe80::5054:ff:fe41:a39b/64 scope link 
       valid_lft forever preferred_lft forever
3: enp2s0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc fq_codel state UP group default qlen 1000
    link/ether 52:54:00:df:5a:4f brd ff:ff:ff:ff:ff:ff
    inet 192.168.129.135/24 brd 192.168.129.255 scope global dynamic enp2s0
       valid_lft 3466sec preferred_lft 3466sec
    inet6 fe80::5054:ff:fedf:5a4f/64 scope link 
       valid_lft forever preferred_lft forever
4: enp3s0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc fq_codel state UP group default qlen 1000
    link/ether 52:54:00:f4:08:ab brd ff:ff:ff:ff:ff:ff
    inet6 2001:db8:dead:beef::1962/128 scope global dynamic 
       valid_lft 3528sec preferred_lft 3528sec
    inet6 fe80::5054:ff:fef4:8ab/64 scope link 
       valid_lft forever preferred_lft forever


==real root==
[core@localhost ~]$ ip addr
1: lo: <LOOPBACK,UP,LOWER_UP> mtu 65536 qdisc noqueue state UNKNOWN group default qlen 1000
    link/loopback 00:00:00:00:00:00 brd 00:00:00:00:00:00
    inet 127.0.0.1/8 scope host lo
       valid_lft forever preferred_lft forever
    inet6 ::1/128 scope host 
       valid_lft forever preferred_lft forever
2: enp1s0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc fq_codel state UP group default qlen 1000
    link/ether 52:54:00:41:a3:9b brd ff:ff:ff:ff:ff:ff
    inet 192.168.122.38/24 brd 192.168.122.255 scope global dynamic noprefixroute enp1s0
       valid_lft 3527sec preferred_lft 3527sec
    inet6 fe80::3e32:54fb:cc4e:49f6/64 scope link noprefixroute 
       valid_lft forever preferred_lft forever
3: enp2s0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc fq_codel state UP group default qlen 1000
    link/ether 52:54:00:df:5a:4f brd ff:ff:ff:ff:ff:ff
    inet 192.168.129.135/24 brd 192.168.129.255 scope global dynamic noprefixroute enp2s0
       valid_lft 3527sec preferred_lft 3527sec
    inet6 fe80::dc63:1b99:6eb:f8d4/64 scope link noprefixroute 
       valid_lft forever preferred_lft forever
4: enp3s0: <BROADCAST,MULTICAST,UP,LOWER_UP> mtu 1500 qdisc fq_codel state UP group default qlen 1000
    link/ether 52:54:00:f4:08:ab brd ff:ff:ff:ff:ff:ff
    inet6 2001:db8:dead:beef::1bda/128 scope global dynamic noprefixroute 
       valid_lft 3531sec preferred_lft 3531sec
    inet6 fe80::5c9f:d36a:4d77:3e5f/64 scope link noprefixroute 
       valid_lft forever preferred_lft forever

$ rpm-ostree status
State: idle
AutomaticUpdates: disabled
Deployments:
* ostree://eb3c7cc1725ad584046bfe571820d5be575b9f15e7141d4e72ea91b43381fef5
                   Version: 43.81.202003132158.0

Comment 6 errata-xmlrpc 2020-03-24 14:35:06 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0858


Note You need to log in before you can comment on or make changes to this bug.